> ## Documentation Index
> Fetch the complete documentation index at: https://developer.salesforge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm validation results

> Confirm validation results for contacts assigned to a sequence.



## OpenAPI

````yaml /openapi/salesforge-publicapi.json post /workspaces/{workspaceID}/sequences/{sequenceID}/contacts/validation/confirm
openapi: 3.1.0
info:
  description: Get mailboxes associated with the workspace.
  termsOfService: https://www.salesforge.ai/terms
  title: Salesforge API
  version: '2.0'
servers:
  - url: api.salesforge.ai/public/v2
security:
  - ApiKeyAuth: []
externalDocs:
  description: ''
  url: ''
paths:
  /workspaces/{workspaceID}/sequences/{sequenceID}/contacts/validation/confirm:
    post:
      tags:
        - sequences
      summary: Confirm validation results
      description: Confirm validation results for contacts assigned to a sequence.
      parameters:
        - description: Workspace ID
          in: path
          name: workspaceID
          required: true
          schema:
            type: string
        - description: Sequence ID
          in: path
          name: sequenceID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/api.ConfirmSequenceContactValidationResultRequest
              summary: request
              description: Request body
        description: Request body
        required: true
      responses:
        '204':
          description: Validation results confirmed
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.Error'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.ConfirmSequenceContactValidationResultRequest:
      properties:
        esps:
          example:
            - gsuite
            - ms365
          items:
            $ref: '#/components/schemas/models.LeadESP'
          minItems: 1
          type: array
          uniqueItems: false
        statuses:
          example:
            - safe
          items:
            $ref: '#/components/schemas/models.ReonEmailStatus'
          minItems: 1
          type: array
          uniqueItems: false
      required:
        - esps
      type: object
    errors.Error:
      allOf:
        - $ref: '#/components/schemas/data'
      properties:
        data: {}
        message:
          type: string
      type: object
    models.LeadESP:
      enum:
        - empty
        - gmail
        - gsuite
        - icloud
        - outlook
        - ms365
        - yandex
        - yahoo
        - unknown
        - mailcom
        - proofpoint
        - antispamsoftware
      type: string
      x-enum-varnames:
        - LeadESPEmpty
        - LeadESPGmail
        - LeadESPGSuite
        - LeadESPICloud
        - LeadESPOutlook
        - LeadESPMS365
        - LeadESPYandex
        - LeadESPYahoo
        - LeadESPUnknown
        - LeadESPMailCom
        - LeadESPProofPoint
        - LeadESPAntiSpamSoftware
    models.ReonEmailStatus:
      enum:
        - safe
        - invalid
        - disabled
        - disposable
        - inbox_full
        - catch_all
        - role_account
        - spamtrap
        - unknown
        - unvalidated
      type: string
      x-enum-varnames:
        - ReonEmailStatusSafe
        - ReonEmailStatusInvalid
        - ReonEmailStatusDisabled
        - ReonEmailStatusDisposable
        - ReonEmailStatusInboxFull
        - ReonEmailStatusCatchAll
        - ReonEmailStatusRoleAccount
        - ReonEmailStatusSpamTrap
        - ReonEmailStatusUnknown
        - ReonEmailStatusUnvalidated
    data:
      properties:
        data:
          items:
            $ref: '#/components/schemas/api.WebhookResponse'
          type: array
      type: object
    api.WebhookResponse:
      properties:
        id:
          type: string
        name:
          type: string
        sentCount:
          type: integer
        sequenceId:
          type: string
        type:
          $ref: '#/components/schemas/webhooks.WebhookType'
        url:
          type: string
      type: object
    webhooks.WebhookType:
      enum:
        - email_sent
        - email_opened
        - link_clicked
        - email_replied
        - linkedin_replied
        - contact_unsubscribed
        - email_bounced
        - positive_reply
        - negative_reply
        - label_changed
        - dnc_added
        - email_sent
        - email_opened
        - link_clicked
        - email_replied
        - linkedin_replied
        - contact_unsubscribed
        - email_bounced
        - positive_reply
        - negative_reply
        - label_changed
      type: string
      x-enum-varnames:
        - WebhookTypeEmailSent
        - WebhookTypeEmailOpened
        - WebhookTypeLinkClicked
        - WebhookTypeEmailReplied
        - WebhookTypeLinkedinReplied
        - WebhookTypeContactUnsubscribed
        - WebhookTypeEmailBounced
        - WebhookTypePositiveReply
        - WebhookTypeNegativeReply
        - WebhookTypeLabelChanged
        - WebhookTypeDNCAdded
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````